// Request and replies for messages passed between the background page
// and the content script.

import { PartialStateUpdate } from "~state";
import { Account } from "../landsbankinn/models";

export enum Actions {
    EnsureState = 'ENSURE_STATE',
    GetAccounts = 'GET_ACCOUNTS',
    DownloadTransactions = 'DOWNLOAD_TRANSACTIONS'
}

export interface GetAccountsMessage {
    action: Actions.GetAccounts;
}

export interface GetAccountsReply {
    accounts: Array<Account>,
    error: Error | null
}

export interface EnsureStateMessage {
    action: Actions.EnsureState;
    clientState: PartialStateUpdate;
}

export interface EnsureStateReply {
    state: 'Populated' | 'Error';
}
