// Functions for communicating with the background page.

import { PartialStateUpdate } from '../state';
import { Actions, EnsureStateMessage, EnsureStateReply, GetAccountsMessage, GetAccountsReply } from '../background/messages';

export async function getAccounts(): Promise<GetAccountsReply> {
    const message: GetAccountsMessage = { action: Actions.GetAccounts };
    return await browser.runtime.sendMessage(message);
}

export async function ensureState(clientState: PartialStateUpdate): Promise<EnsureStateReply> {
    const message: EnsureStateMessage = { action: Actions.EnsureState, clientState };
    return await browser.runtime.sendMessage(message);
}
