import React from 'jsx-dom'; // necessary for react to work
import { Event, ClientEvents } from '../events';
import * as background from '../background';
import { ExportDiv } from './components';

window.addEventListener('DOMContentLoaded', async () => {
    ClientEvents.on(Event.StatePopulated, async () => {
        const response = await background.getAccounts();

        const downloadHandler = (accountNumbers: string[]) => {
            console.log('downloading txns for', accountNumbers);
        };

        if (response.error == null) {
            const exportDiv = (
                <ExportDiv accounts={response.accounts}
                    fromLabel="From" toLabel="To" onDownload={downloadHandler} />
            );

            const contentDiv = document.querySelector(
                'div[class="table-data content-box fill shadow"]'
            );

            contentDiv?.prepend(exportDiv);
        }
    });
});
